Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class MethodInjectionTestCase

    java.lang.Object
      org.picocontainer.injectors.MethodInjectionTestCase

    public class MethodInjectionTestCase

extends Object

Nested Class Summary
`static class` | `MethodInjectionTestCase.Bar`
`static class` | `MethodInjectionTestCase.Foo`
`static class` | `MethodInjectionTestCase.Foo2`
`static interface` | `MethodInjectionTestCase.IFoo`

Constructor Summary
`MethodInjectionTestCase()`

Method Summary
`void` | `testMethodInjection()`
`void` | `testMethodInjectionByBuilder()`
`void` | `testMethodInjectionViaAdapter()`
`void` | `testMethodInjectionViaCharacteristics()`
`void` | `testMethodInjectionViaMethodDef()`
`void` | `testMethodInjectionViaMethodDefViaInterface()`
`void` | `testMethodInjectionWithAllowedNullableParam()`
`void` | `testMethodInjectionWithDisallowedNullableParam()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInjectionTestCase

    public MethodInjectionTestCase()

Method Detail

### testMethodInjection

    public void testMethodInjection()

### testMethodInjectionViaMethodDef

    public void testMethodInjectionViaMethodDef()

### testMethodInjectionViaMethodDefViaInterface

    public void testMethodInjectionViaMethodDefViaInterface()

### testMethodInjectionViaCharacteristics

    public void testMethodInjectionViaCharacteristics()

### testMethodInjectionViaAdapter

    public void testMethodInjectionViaAdapter()

### testMethodInjectionByBuilder

    public void testMethodInjectionByBuilder()

### testMethodInjectionWithAllowedNullableParam

    public void testMethodInjectionWithAllowedNullableParam()

### testMethodInjectionWithDisallowedNullableParam

    public void testMethodInjectionWithDisallowedNullableParam()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.